# SectionGetArray

Returns the array underlying the Section.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode SectionGetArray(Mesh mesh, const char name[], PetscInt *numElements, PetscInt *fiberDim, PetscScalar *array[])

Not Collective

### Input Parameters

| mesh | - The Mesh object
| name | - The section name

### Output Parameters

| numElements | - The number of mesh element with values
| fiberDim | - The number of values per element
| array | - The array

### Keywords

mesh, elements

### See Also

MeshCreate()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages